petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMLabelPermute

Create a new label with permuted points

### Synopsis

    #include "petscdmlabel.h"
    #include "petscsection.h"
    PetscErrorCode DMLabelPermute(DMLabel label, IS permutation, DMLabel *labelNew)

Not collective

### Input Parameters

| label | - the DMLabel
| permutation | - the point permutation

### Output Parameter

labelnew -the new label containing the permuted points

### See Also

DMLabelCreate(), DMLabelGetValue(), DMLabelSetValue(), DMLabelClearValue()

### Level

intermediate

### Location

src/dm/label/dmlabel.c
Index of all DMLABEL routines
Table of Contents for all manual pages
Index of all manual pages